{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Problem 030</title>
  </head>
  <body>
    <main>
      <!--
      In this one, we're constructing a table. Pay
      attention to all of it because pieces will
      disappear over the next couple of problems.

      Where'd it all go?

      This context has a list of Person objects stored
      in the "people" key.
    -->
      <table>
        <!-- Just the whole table head, here -->
        <thead>
          <th>Name</th>
          <th>Age</th>
          <th>Pronouns</th>
        </thead>
        <tbody>
          {% for person in people %}

          <tr>
            <td>{{ person.name }}</td>
            <td>{{ person.age }}</td>
            <td>{{ person.pronouns }}</td>
          </tr>

          {% endfor %}
        </tbody>

        <!--
        The whole tbody, for loop, tr, and td tags to show
        each person's name, age, and pronouns.
      --></table>
    </main>
  </body>
</html>
